Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonWebContractProduct

java.lang.Object
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonWebContractProduct

public class MegafonWebContractProduct extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonWebContractProduct()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateStart()`
  `Date`
  `getDateStop()`
  `String`
  `getDescription()`
  `int`
  `getId()`
  `List<MegafonWebContractOption>`
  `getOptions()`
  `BigDecimal`
  `getPrice()`
  `int`
  `getProductId()`
  `String`
  `getProductOfferingId()`
  `String`
  `getProductTitle()`
  `List<MegafonWebTariffRemainder>`
  `getRemainders()`
  `MegafonContractProductStatus`
  `getStatus()`
  `MegafonWebContractProduct`
  `setDateStart(Date dateStart)`
  `MegafonWebContractProduct`
  `setDateStop(Date dateStop)`
  `MegafonWebContractProduct`
  `setDescription(String description)`
  `MegafonWebContractProduct`
  `setId(int id)`
  `MegafonWebContractProduct`
  `setOptions(List<MegafonWebContractOption> options)`
  `MegafonWebContractProduct`
  `setPrice(BigDecimal price)`
  `MegafonWebContractProduct`
  `setProductId(int productId)`
  `MegafonWebContractProduct`
  `setProductOfferingId(String productOfferingId)`
  `MegafonWebContractProduct`
  `setProductTitle(String productTitle)`
  `MegafonWebContractProduct`
  `setRemainders(List<MegafonWebTariffRemainder> remainders)`
  `MegafonWebContractProduct`
  `setStatus(MegafonContractProductStatus status)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MegafonWebContractProduct

    public MegafonWebContractProduct()

- ## Method Details

  - ### getDateStart

    public Date getDateStart()

  - ### getDateStop

    public Date getDateStop()

  - ### getDescription

    public String getDescription()

  - ### getId

    public int getId()

  - ### getOptions

    public List<MegafonWebContractOption> getOptions()

  - ### getPrice

    public BigDecimal getPrice()

  - ### getProductId

    public int getProductId()

  - ### getProductOfferingId

    public String getProductOfferingId()

  - ### getProductTitle

    public String getProductTitle()

  - ### getRemainders

    public List<MegafonWebTariffRemainder> getRemainders()

  - ### getStatus

    public MegafonContractProductStatus getStatus()

  - ### setDateStart

    public MegafonWebContractProduct setDateStart(Date dateStart)

  - ### setDateStop

    public MegafonWebContractProduct setDateStop(Date dateStop)

  - ### setDescription

    public MegafonWebContractProduct setDescription(String description)

  - ### setId

    public MegafonWebContractProduct setId(int id)

  - ### setOptions

    public MegafonWebContractProduct setOptions(List<MegafonWebContractOption> options)

  - ### setPrice

    public MegafonWebContractProduct setPrice(BigDecimal price)

  - ### setProductId

    public MegafonWebContractProduct setProductId(int productId)

  - ### setProductOfferingId

    public MegafonWebContractProduct setProductOfferingId(String productOfferingId)

  - ### setProductTitle

    public MegafonWebContractProduct setProductTitle(String productTitle)

  - ### setRemainders

    public MegafonWebContractProduct setRemainders(List<MegafonWebTariffRemainder> remainders)

  - ### setStatus

    public MegafonWebContractProduct setStatus(MegafonContractProductStatus status)